GROUPADD(8)

NAME
groupadd - create a new group

SYNOPSIS

groupadd [-g GID [-o]] [-f] [-K KEY=VALUE] group

DESCRIPTION

The groupadd command creates a new group account using the values specified on the command line and the default values from the system. The new group will be entered into the system files as needed.

OPTIONS

The options which apply to the groupadd command are:

-f  This option causes to just exit with success status if the specified group already exists. With -g, if specified GID already exists, other (unique) GID is chosen (i.e. -g is turned off).

-g GID
    The numerical value of the group's ID. This value must be unique, unless the -o option is used. The value must be non-negative. The default is to use the smallest ID value greater than 999 and greater than every other group. Values between 0 and 999 are typically reserved for system accounts.

-h, --help
    Display help message and exit.

-K KEY=VALUE
    Overrides /etc/login.defs defaults (GID_MIN, GID_MAX and others). Multiple -K options can be specified.

    Example: -K GID_MIN=100 -K GID_MAX=499

    Note: -K GID_MIN=10,GID_MAX=499 doesn't work yet.

-o  This option permits to add group with non-unique GID.

FILES

/etc/group
    Group account information.

/etc/gshadow
    Secure group account information.

/etc/login.defs
    Shadow password suite configuration.

CAVEATS

Groupnames must begin with a lower case letter or an underscore, and only lower case letters, underscores, dashes, and dollar signs may follow. In regular expression terms: [a-z_][a-z0-9_-]*[$]

Groupnames may only be up to 16 characters long.

If the groupname already exists in an external group database such as NIS, groupadd will deny the group creation request.

Groupnames may only be up to 16 characters long.

EXIT VALUES

The groupadd command exits with the following values:

0   success

2   invalid command syntax

3   invalid argument to option

4   GID not unique (when -o not used)

9   group name not unique

10  can't update group file

SEE ALSO

chfn(1), chsh(1), passwd(1), gpasswd(8), groupdel(8), groupmod(8), login.defs(5), useradd(8), userdel(8), usermod(8).